Summary: Utility for getting and setting Xv attributes
Name: xvattr
Version: 1.3
Release: 11%{?dist}
License: GPL
Group: User Interface/X
URL: http://www.dtek.chalmers.se/groups/dvd/
Source: http://www.dtek.chalmers.se/groups/dvd/dist/xvattr-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk+-devel
# Use monolithic X up to FC4, and modular X for FC5+ and non-Fedora
%if %{!?fedora:6}%{?fedora} >= 5
BuildRequires: libXt-devel, libXv-devel
%else
BuildRequires: xorg-x11-devel
%endif

%description
This program is used for getting and setting Xv attributes such as
XV_BRIGHTNESS, XV_CONTRAST, XV_SATURATION, XV_HUE, XV_COLORKEY, ...


%prep
%setup
# Append GTK CFLAGS to CFLAGS instead of overwriting CFLAGS (optflags get used)
%{__perl} -pi -e 's|^CFLAGS = (.*)|CFLAGS += $1|g' Makefile*


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.3-11
- FC6 rebuild.

* Tue May 23 2006 Matthias Saou <http://freshrpms.net/> 1.3-10
- Fix CFLAGS so that our optflags get used too (Ville, #192611).

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 1.3-9
- FC5 rebuild.

* Thu Feb  9 2006 Matthias Saou <http://freshrpms.net/> 1.3-8
- Rebuild for new gcc/glibc and modular X.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.3-7
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 1.3-5
- Bump release to provide Extras upgrade path.

* Wed Mar 24 2004 Matthias Saou <http://freshrpms.net/> 1.3-4
- Remove explicit XFree86 dependency for the binary package.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 1.3-3
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Fri Oct 4 2002 Matthias Saou <http://freshrpms.net/>
- Initial rpm release.

